package tn.telephonedirectory.service;

import java.util.Collection;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import tn.telephonedirectory.model.Person;
import tn.telephonedirectory.repository.IPersonRepository;
import tn.telephonedirectory.repository.PersonRepository;

@Path("/person")
public class PersonRestService {

	IPersonRepository repository=new PersonRepository();
	
	@GET
	@Produces(MediaType.APPLICATION_JSON)
	public Collection<Person> findAll(){
		return repository.all();
	}
	
	@GET 
	@Produces(MediaType.APPLICATION_JSON)
	public Person GetById(@PathParam("id") String id){
		return repository.find(id);
	}
	
	@POST
    @Consumes({ MediaType.APPLICATION_JSON})
    @Produces({ MediaType.APPLICATION_JSON})
    public Person create(Person p) {
         return repository.save(p);
    }
	
	@PUT
	@Consumes({ MediaType.APPLICATION_JSON})
	@Produces({ MediaType.APPLICATION_JSON})
	@Path("{id}")
	public Person update(@PathParam("id") String id,Person p) {
		return repository.update(p);
	}
	
	@DELETE 
	@Path("{id}")
    @Produces({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML })
    public void remove(@PathParam("id") String id) {
        repository.remove(id);
    }
}
