package tn.telephonedirectory.service;

import java.util.Collection;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import tn.telephonedirectory.model.Person;
import tn.telephonedirectory.repository.IPersonRepository;
import tn.telephonedirectory.repository.PersonRepository;


@RestController
@RequestMapping("/person")
public class PersonRestService {

	
	private IPersonRepository personRepository=new PersonRepository();

	@RequestMapping(method=RequestMethod.POST)
	public Person add(Person p){
		Person added=personRepository.save(p);
		return added;
	}
	@RequestMapping(method=RequestMethod.PUT)
	public Person update(Person p){
		return personRepository.update(p);
	}
	@RequestMapping(method=RequestMethod.DELETE,value="{id}")
	public void delete(@PathVariable String id){
		personRepository.remove(id);
	}
	@RequestMapping("/all")
	public Collection<Person> all(){
		return personRepository.all();
	}
	@RequestMapping(method=RequestMethod.GET,value="{id}")
	public Person one(@PathVariable String id){
		Person result= personRepository.find(id);
		return result;	
	}
}
